## ros-indigo-eband-local-planner 0.3.0

=== CMakeLists.txt ===
# http://ros.org/doc/groovy/api/catkin/html/user_guide/supposed.html
cmake_minimum_required(VERSION 2.8.3)
project(eband_local_planner)

find_package(catkin REQUIRED 
  COMPONENTS
    base_local_planner
    cmake_modules
    control_toolbox
    costmap_2d
    geometry_msgs
    nav_core
    nav_msgs
    pluginlib
    roscpp
    tf
    tf_conversions
)

find_package(Eigen REQUIRED)
include_directories(
  include
  ${Eigen_INCLUDE_DIRS}
  ${catkin_INCLUDE_DIRS}
)

catkin_package(
  CATKIN_DEPENDS
    base_local_planner
    control_toolbox
    costmap_2d
    geometry_msgs
    nav_core
    nav_msgs
    pluginlib
    roscpp
    tf
    tf_conversions
  INCLUDE_DIRS include
  LIBRARIES eband_local_planner
)

# build the library
add_library(eband_local_planner 
  src/eband_local_planner_ros.cpp 
  src/eband_local_planner.cpp 
  src/conversions_and_types.cpp 
  src/eband_visualization.cpp 
  src/eband_trajectory_controller.cpp
)

target_link_libraries(eband_local_planner ${catkin_LIBRARIES})

install(
  DIRECTORY include/eband_local_planner/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

install(
  TARGETS eband_local_planner
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)
install(
  FILES elp_plugin.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-indigo-eband-local-planner (0.3.0-0trusty) trusty; urgency=high

  * slow down trajectory controller while close to goal. closes #19 <https://github.com/utexas-bwi/eband_local_planner/issues/19>.
  * convert info message to debug. closes #18 <https://github.com/utexas-bwi/eband_local_planner/issues/18>.
  * clear local costmap if global plan cannot be converted to band even on first attempt. see #5 <https://github.com/utexas-bwi/eband_local_planner/issues/5>
  * Contributors: Piyush Khandelwal

 -- Piyush Khandelwal <piyushk@gmail.com>  Tue, 31 Mar 2015 05:00:00 -0000

ros-indigo-eband-local-planner (0.2.2-0trusty) trusty; urgency=high

  * fixed catkin lint warnings in preparation for v0.2.2 release
  * added a bit more paramterization of the algorithm to help navigation in simulation. all changes are backwards
    compatible. #17 <https://github.com/utexas-bwi/eband_local_planner/issues/17> from utexas-bwi/piyushk/fix_simulation_navigation
  * made some changes for a future Indigo release. fixed Eigen dependency (#16 <https://github.com/utexas-bwi/eband_local_planner/issues/16>)
  * Contributors: Jack O'Quin, Piyush Khandelwal

 -- Piyush Khandelwal <piyushk@gmail.com>  Sat, 14 Mar 2015 05:00:00 -0000

ros-indigo-eband-local-planner (0.2.1-0trusty) trusty; urgency=high

  * added jack as a maintainer for the package
  * 0.2.0
  * updated changelogs in preparation of v0.2.0
  * changing some fudge factors
  * removed band hack. attempting band repair algorithm now
  * changes to hysteresis loop. still has some problems
  * fixed indentation. closes #10 <https://github.com/utexas-bwi/eband_local_planner/issues/10>
  * eband_local_planner now fails when new frames cannot be added to the band. closes #9 <https://github.com/utexas-bwi/eband_local_planner/issues/9>
  * Contributors: Piyush Khandelwal

 -- Piyush Khandelwal <piyushk@gmail.com>  Fri, 25 Apr 2014 05:00:00 -0000

ros-indigo-eband-local-planner (0.1.2-0trusty) trusty; urgency=high

  * stopped publishing empty bubble heading message. closes #6 <https://github.com/utexas-bwi/eband_local_planner/issues/6>
  * reenabled holonomic drive control. still untested since groovy/hydro migration. closes #2 <https://github.com/utexas-bwi/eband_local_planner/issues/2>

 -- Piyush Khandelwal <piyushk@gmail.com>  Mon, 12 Aug 2013 05:00:00 -0000

ros-indigo-eband-local-planner (0.1.0-0trusty) trusty; urgency=high

  * add include directory to installation
  * removed redundant file
  * introduced some hysteresis between turning to final orientation and
    turning towards the next bubble. closes #3 <https://github.com/utexas-bwi/eband_local_planner/issues/3>
  * returning trajectory controller's opinion on whether the goal has been reached or not. closes #4 <https://github.com/utexas-bwi/eband_local_planner/issues/4>
  * removed unnecesary print statements
  * some debug statements to help find issues with hydro-devel costmap
  * fixed all runtime loading errors in process of catkinization
  * removing unneeded/untested launch files. I'll add working examples later as the package sees a public release.
  * catkinizing eband_local_planner against the hydro-devel branch of navigation
  * removing standalone follow trajectory ndoe
  * promoting eband local planner to separate repository in preparation for catkinization
  * some improvements to navigation
  * fixed a bug in the eband trajectory controller
  * Merge branch 'master' of github.com:utexas-bwi/segbot_apps
  * in-place rotation at goal now supported
  * merged goal tolerance parameters between local planner and trajectory controller.
  * add launch for e-band navigation
  * changed distance check to not include orienation. I am not even sure why orientation was being used to check overlap.
  * a couple more parameters + better velocity limit checking
  * fixed for the regular nav stack launch file as well. closes #1 <https://github.com/utexas-bwi/eband_local_planner/issues/1>
  * hmm not sure why this file was here
  * fix for the eband costmap having an incorrect topic. #1 <https://github.com/utexas-bwi/eband_local_planner/issues/1>
  * updated launch file to use any visualization configuration + reorganized eband configuration file
  * fixed a problem with requesting obstacle distances at the edge of the costmap - these regions are now assumed to be free (optimism) - removes problem with the global plan being regenerated over and over again as new parts of the global plan were converted to the band
  * hack for global planner not catching up in case of an unexpected obstacle snapping band
  * changed INFO statements to DEBUG
  * checking in new parameters for the eband local planner
  * inital differential drive trajectory controller - looks pretty good. needs a bit more code improvent, dynamic reconfigure and stricter obstacle testing
  * Revert "checking in Paul's changes to get eband local planner to work with our differential drive robot". I am seeing some problems with his changes, will apply by hand.
    This reverts commit c925f7e1d5bebbf8c102a2292429749da84562a9.
  * checking in Paul's changes to get eband local planner to work with our differential drive robot
  * added git ignore settings
  * changes to make eband_local_planner compile with navigation 1.9 + groovy
  * copy of eband_local_planner from navigation_experimental.
  * removed some unnecessary launch files and added an rviz configuration + launch file for testing autonomous navigation
  * basic amcl + move base demo works (but is not very good)
  * removed old ens basement maps from the repo
  * removed joy gmapping file - joystick control not directly supported
  * removed redundant sensor files (moved to segbot_sensors)
  * initial port of of navigation and controller code from the svn repository
  * first commit

 -- Piyush Khandelwal <piyushk@gmail.com>  Wed, 10 Jul 2013 05:00:00 -0000

=== debian/control ===
Source: ros-indigo-eband-local-planner
Section: misc
Priority: extra
Maintainer: Piyush Khandelwal <piyushk@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-base-local-planner, ros-indigo-catkin, ros-indigo-cmake-modules, ros-indigo-control-toolbox, ros-indigo-costmap-2d, ros-indigo-geometry-msgs, ros-indigo-nav-core, ros-indigo-nav-msgs, ros-indigo-pluginlib, ros-indigo-roscpp, ros-indigo-tf, ros-indigo-tf-conversions
Homepage: http://ros.org/wiki/eband_local_planner
Standards-Version: 3.9.2

Package: ros-indigo-eband-local-planner
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-base-local-planner, ros-indigo-control-toolbox, ros-indigo-costmap-2d, ros-indigo-geometry-msgs, ros-indigo-nav-core, ros-indigo-nav-msgs, ros-indigo-pluginlib, ros-indigo-roscpp, ros-indigo-tf, ros-indigo-tf-conversions
Description: eband_local_planner implements a plugin to the base_local_planner. It implements the Elastic Band method on the SE2 manifold.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-eband-local-planner//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
